StatsHub Docs
APIAPI v2V2 endpoint referenceTeams

/teams/{teamId}/last-games

List a team's recent fixtures with both lineups

GET
/teams/{teamId}/last-games

List a team's recent fixtures with both lineups

Path Parameters

teamId*string

Opaque resource ID

Match^[1-9][0-9]*$

Query Parameters

page?integer

One-based result page

Range1 <= value <= 1000000
limit?integer

Fixtures per page. A larger value is served as 50, and pagination.limit and pagination.totalPages report the page size applied; follow pagination.totalPages to read every fixture

Range1 <= value <= 50
competitionIds?string

Competition IDs to include; at most 50

Match^[1-9][0-9]*(,[1-9][0-9]*){0,49}$
Lengthlength <= 4096
opponentId?string

Only fixtures against this team

Match^[1-9][0-9]*$
venue?string

The selected team's venue

Value in

  • "home"
  • "away"
excludeFixtureId?string

Fixture to omit

Match^[1-9][0-9]*$
seasonName?string

Exact season name

Lengthlength <= 100
status?string

Fixture status

Value in

  • "finished"
  • "inprogress"
  • "interrupted"
  • "postponed"

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/teams/string/last-games"
{  "data": [    {      "awayTeam": {        "id": 0,        "internalId": 0,        "name": "string",        "shortname": "string",        "slug": "string"      },      "awayTeamLineup": [        {          "accurateCross": 0,          "accurateLongBalls": 0,          "accuratePass": 0,          "aerialWon": 0,          "assists": 0,          "bigChanceCreated": 0,          "blockedScoringAttempt": 0,          "dispossessed": 0,          "duelLost": 0,          "duelWon": 0,          "expectedAssists": 0,          "expectedGoals": 0,          "fouls": 0,          "goals": 0,          "heatmap": [            {              "x": 0.1,              "y": 0.1            }          ],          "interceptionWon": 0,          "isSubstitute": true,          "jerseyNo": 0,          "keyPass": 0,          "minutesPlayed": 0,          "name": "string",          "onTargetScoringAttempt": 0,          "playerId": 0,          "playerInternalId": 0,          "position": "string",          "possessionLostCtrl": 0,          "redCard": 0,          "saves": 0,          "shotOffTarget": 0,          "shots": 0,          "substitutedIn": 0,          "substitutedOut": 0,          "totalClearance": 0,          "totalCross": 0,          "totalLongBalls": 0,          "totalOffside": 0,          "totalPass": 0,          "totalTackle": 0,          "wasFouled": 0,          "wonContest": 0,          "yellowCard": 0        }      ],      "events": {        "awayScoreCurrent": 0,        "awayTeamId": 0,        "homeScoreCurrent": 0,        "homeTeamId": 0,        "id": 0,        "slug": "string",        "status": "string",        "timeStartTimestamp": 0,        "tournamentId": 0,        "tournamentName": "string",        "uniqueTournamentId": 0,        "uniqueTournamentName": "string"      },      "formations": {        "property1": {          "formation": "string",          "teamName": "string"        },        "property2": {          "formation": "string",          "teamName": "string"        }      },      "homeTeam": {        "id": 0,        "internalId": 0,        "name": "string",        "shortname": "string",        "slug": "string"      },      "homeTeamLineup": [        {          "accurateCross": 0,          "accurateLongBalls": 0,          "accuratePass": 0,          "aerialWon": 0,          "assists": 0,          "bigChanceCreated": 0,          "blockedScoringAttempt": 0,          "dispossessed": 0,          "duelLost": 0,          "duelWon": 0,          "expectedAssists": 0,          "expectedGoals": 0,          "fouls": 0,          "goals": 0,          "heatmap": [            {              "x": 0.1,              "y": 0.1            }          ],          "interceptionWon": 0,          "isSubstitute": true,          "jerseyNo": 0,          "keyPass": 0,          "minutesPlayed": 0,          "name": "string",          "onTargetScoringAttempt": 0,          "playerId": 0,          "playerInternalId": 0,          "position": "string",          "possessionLostCtrl": 0,          "redCard": 0,          "saves": 0,          "shotOffTarget": 0,          "shots": 0,          "substitutedIn": 0,          "substitutedOut": 0,          "totalClearance": 0,          "totalCross": 0,          "totalLongBalls": 0,          "totalOffside": 0,          "totalPass": 0,          "totalTackle": 0,          "wasFouled": 0,          "wonContest": 0,          "yellowCard": 0        }      ]    }  ],  "pagination": {    "limit": 0,    "page": 0,    "total": 0,    "totalPages": 0  }}